Bug 1752019 - CVE-2019-14532 sleuthkit: sleuth: off-by-one overwrite due to underflow in tools/hashtools/hfind.cpp [epel-7]
Summary: CVE-2019-14532 sleuthkit: sleuth: off-by-one overwrite due to underflow in to...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: sleuthkit
Version: epel7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-14532
TreeView+ depends on / blocked
 
Reported: 2019-09-13 13:06 UTC by Dhananjay Arunesh
Modified: 2020-05-24 01:06 UTC (History)
2 users (show)

Fixed In Version: sleuthkit-4.9.0-1.fc32 sleuthkit-4.9.0-1.fc30 sleuthkit-4.9.0-1.fc31 sleuthkit-4.9.0-1.el7
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-17 02:41:51 UTC
Type: ---


Attachments (Terms of Use)

Description Dhananjay Arunesh 2019-09-13 13:06:54 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-7.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

Comment 1 Dhananjay Arunesh 2019-09-13 13:06:58 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1752017,1752019

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2020-05-08 09:56:43 UTC
FEDORA-EPEL-2020-32b3a77f8c has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-32b3a77f8c

Comment 3 Fedora Update System 2020-05-08 09:56:43 UTC
FEDORA-2020-94c2f78e0c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-94c2f78e0c

Comment 4 Fedora Update System 2020-05-08 09:56:44 UTC
FEDORA-2020-6e3e0c6386 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e3e0c6386

Comment 5 Fedora Update System 2020-05-08 09:56:45 UTC
FEDORA-2020-1dd340ab85 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-1dd340ab85

Comment 6 Fedora Update System 2020-05-09 04:16:21 UTC
FEDORA-EPEL-2020-32b3a77f8c has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-32b3a77f8c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2020-05-09 04:38:28 UTC
FEDORA-2020-1dd340ab85 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-1dd340ab85`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1dd340ab85

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-05-09 05:20:17 UTC
FEDORA-2020-6e3e0c6386 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6e3e0c6386`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6e3e0c6386

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-05-09 06:41:18 UTC
FEDORA-2020-94c2f78e0c has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-94c2f78e0c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-94c2f78e0c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-05-17 02:41:51 UTC
FEDORA-2020-94c2f78e0c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-05-17 03:19:23 UTC
FEDORA-2020-6e3e0c6386 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-05-17 03:48:18 UTC
FEDORA-2020-1dd340ab85 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-05-24 01:06:56 UTC
FEDORA-EPEL-2020-32b3a77f8c has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.